package com.perforce.p4camel;

import org.apache.camel.CamelContext;
import org.apache.camel.LoggingLevel;
import org.apache.camel.ProducerTemplate;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.impl.DefaultCamelContext;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestCamel {

	private static Logger logger = LoggerFactory.getLogger(TestCamel.class);

	@Test
	public void testSCMP4() throws Exception {
		CamelContext context = new DefaultCamelContext();

		context.addRoutes(new RouteBuilder() {

			@Override
			public void configure() throws Exception {
				from("direct:p4").log(LoggingLevel.INFO, logger, "hello paul");
			}

		});

		context.start();

		ProducerTemplate template = context.createProducerTemplate();
		template.sendBody("direct:p4", "");

		Thread.sleep(1000);
	}
	
	
	@Test
	public void testP4Component() throws Exception {
		CamelContext context = new DefaultCamelContext();

		context.addRoutes(new RouteBuilder() {

			@Override
			public void configure() throws Exception {
				from("direct:p4").to("p4:/hello?foo=bar");
			}

		});

		context.start();

		ProducerTemplate template = context.createProducerTemplate();
		template.sendBody("direct:p4", "hi");

		Thread.sleep(1000);
	}
}
